@charset "utf-8";

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* BASIC CONSCIOUS RESETs +++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

:root {
  --text-color: #483d8b; /* black; */
  --line-color: rgba(72, 61, 139, 0.35);
  --bg-color: #FCFCFC; /* ghostWhite; /*ivory; /* rgb(250,255,220); /* floralWhite; /* mintCream; /* floralWhite; /* ghostWhite; /* cornSilk; /* whitesmoke; /* khaki; */
}

* {
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
}
*, *:after, *:before {
  -webkit-box-sizing:border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.unselectable {
  -moz-user-select: -moz-none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -o-user-select: none;
  user-select: none;
} 

::-webkit-scrollbar {
  width: 1rem;
  background-color: var(--text-color);
}
::-webkit-scrollbar-thumb {
  background-color: var(--bg-color);
  border: none;
}
::-webkit-scrollbar-track {
  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;
  background-color: transparent;
}

.fitColumn {
  width: 100%;
  height: auto;
}

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

html {
  font-size: 100%;
}

body {
  margin: 0px;
  padding: 0px;
  font-family: 'Chubbo-Variable';
  font-size: 24px;
  line-height: 1.375em;
  font-weight: 450;
  color: var(--text-color);
  background-color: var(--bg-color);
  /*
  background: linear-gradient(217deg, rgba(255,0,0,.8), rgba(255,0,0,0) 70.71%),
            linear-gradient(127deg, rgba(0,255,0,.8), rgba(0,255,0,0) 70.71%),
            linear-gradient(336deg, rgba(0,0,255,.8), rgba(0,0,255,0) 70.71%);
  */
  min-height: 100vh;
}

/*
#bgLayout {
  position: fixed;
  inset: 0;
  z-index: 10;
  background: url(../images/alexthumb1.jpg);
}


#bgLayout {
  position: fixed;
  inset: 0;
  z-index: 10;
  background-attachment: fixed;
  background-image: paint(fleck);
  --fleck-colors: #0193c1 #74d8e6 #0bc0e0 #3ddaf5 #e2f9fe #02313f;
  --fleck-density: 23;
  --fleck-size-base: 2px;
  border: 5px solid red;
}
*/



/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* typography */

h1, h2, h3, h4, h5, h6 {
  line-height: 1.125em;
  font-weight: 700;
  letter-spacing: 0px;
  margin: 0px 0px 2.5rem 0px;
}
h1 {
  font-size: 5em;
  font-weight: 700;
  overflow-wrap: anywhere;
}
h2 {
  font-size: 2em;
  letter-spacing: 0px;
  margin: 0px 0px 2.5rem 0px;
}
h3 {
  font-size: 2.5rem;
}

h1 i, h2 i, h3 i, h4 i, h5 i, h6 i {
  font-family: 'Chubbo-BoldItalic';
}


p {
  margin: 0px 0px 1.4em 0px;
}

/* INLINE LINKS */
a {
  text-decoration: underline;
  color: var(--text-color);
  outline: 0;
}
a:active, a:focus { outline: 0; }
a:hover { text-decoration: none; outline: none; }



/* **************************************************************************************** */
/* LOGO stylings */
  
.logoWrapper {
  z-index: 9999;
  margin-left: -0.25em;
  margin-right: 4em; /* 4rem; */
  margin-bottom: 0.5em;
  float: left;
}
.logoWrapper a {
  font-family: 'Array-Wide', monospace;
  font-size: 5em;
  line-height: 0.8em; /* 1em; */
  display: block;
  width: max-content;
  text-decoration: none;
  color: var(--text-color);
}
.logoWrapper a:hover {
  cursor: pointer;
}



/* **************************************************************************************** */
/* MENU stylings */

.menuWrapper {
  display: block;
  width: 100%;
  z-index: 9000;
  margin-left: -0.25em;
}

.menuWrapper ul {
  display: inline-block;
  padding: 0px;
  margin: 0px;
  list-style-type: none;
}

.menuWrapper ul li {
  margin-right: 1rem; /* 2rem; */
  display: block;
  float: left;
}

.menuWrapper ul li a {
  font-family: 'Array-Wide', monospace;
  font-size: 5em;
  line-height: 0.8em; 
  color: var(--text-color);
  text-decoration: none;
  letter-spacing: -0.01em;
}
.menuWrapper ul li a:hover {
  text-decoration: none;
}
.menuWrapper ul li a.active {
  text-decoration: none; /* line-through; */
}




/* **************************************************************************************** */
/* Workshop overview */

.workshopOverviewWrapper {
  display: block;
}

ul.workshopOverviewWrapper  {
  padding: 0px;
  margin: 0px;
  list-style-type: none;
}
ul.workshopOverviewWrapper li {
  display: block;
  width: 100%;
  padding: 0px;
  margin: 0px;
}
ul.workshopOverviewWrapper li::after {
  content: "";
  display: table;
  clear: both;
}
ul.workshopOverviewWrapper li a {
  display: block;
  width: 100%;
  float: left;
  border-bottom: 1px solid var(--line-color); /* 1px dotted var(--text-color); */
  color: var(--text-color);
  /* padding: 1em 1.25em 1.25em 1.25em; */ /* set in media queries */
  text-decoration: none;
}
ul.workshopOverviewWrapper li a:hover {
  background-color: transparent; /* rgba(255,255,255, 0.5); */
  /* background: linear-gradient(-178deg, var(--bg-color), rgba(255,255,255,0.25)); /*  #ffffff); */
  /* border-bottom: 2px solid var(--text-color); */
}
/* H2 IN OVERVIEW */
ul.workshopOverviewWrapper li a h2 {
  margin: 0px 0px 0.65rem 0px;
}

ul.workshopOverviewWrapper li span.left {
  display: block;
  float: left;
  padding-left: 0px; /* 0.45em; */
}
ul.workshopOverviewWrapper li span.right {
  display: block;
  padding-right: 0px; /* 0.5em; */
}
ul.workshopOverviewWrapper li span.right p {
  margin-bottom: 0px;
}




/* **************************************************************************************** */
/* About wrapper */

.aboutWrapper {
  margin: 0px auto;
  background-color: transparent; /* var(--bg-color); */
  color: var(--text-color);
}

.aboutWrapper h1 {
  font-size: 3.25em;
  line-height: 1em;
  margin: 0px 0px 0.1em 0px;
  letter-spacing: 0.025em;
}



/* **************************************************************************************** */
/* calendar */

time.icon {
  display: block;
  position: relative;
  width: 4.5em;
  height: 4.5em;
  border-radius: 0.175em;
  background-color: transparent; /* var(--bg-color); */
  box-shadow: 0 1px 0 var(--text-color);
  overflow: hidden;
  line-height: 1em;
  font-family: 'Array-Wide', monospace;
}

time.icon * {
  display: block;
  width: 100%;
  font-size: 0.75em;
  font-weight: 450; /* normal; */
  font-style: normal;
  text-align: center;
}

time.icon em {
  position: absolute;
  line-height: 1em;
  bottom: 0.35em;
  color: var(--text-color);
}

time.icon strong {
  position: absolute;
  top: 0;
  padding: 0.15em 0px 0.1em 0px; /* 0.1em 0px 0px 0px; */
  color: var(--bg-color);
  background-color: var(--text-color);
  font-weight: normal;
  /* border-bottom: 1px dashed rgba(0,0,0,0.2); */
  /* box-shadow: 0 2px 0 rgb(0 0 0 / 20%); */
}

time.icon span {
  font-family: 'Chubbo-Variable';
  font-size: 1.325em;
  font-weight: 500; /* normal; /* bold; */ 
  letter-spacing: -0.025em;
  padding-top: 1.375em;
  color: var(--text-color);
}

time.icon a,
time.icon span,
time.icon a:hover {
  text-decoration: none !important;
}


/* **************************************************************************************** */
/* footer */

footer {
  padding: 1em 1.25em;
}





/* **************************************************************************************************************** */
/* **************************************************************************************************************** */
/* **************************************************************************************************************** */
/* **************************************************************************************************************** */

/* Smallest */
@media screen {

  body {
    font-size: 18px; /* 19px; */
  }

  header {
    padding: 0.75em 1em; /* 1em 1.25em; */
    margin-bottom: 1em;
  }
  header::after {
    display: table;
    content: "";
    clear: both;
  }
  .logoWrapper a {
    font-size: 4em;
  }
  .menuWrapper ul li a {
    font-size: 4em;
  }


  .aboutWrapper {
    padding: 0.75em 1em; /* 1em 1.25em; /* 2em 1em; */
  }


  .aboutWrapper p.frontMainTxt {
    font-size: 2.5em; /* 3.25em; */
    padding-left: 0.5em; /* 1em; */
    padding-right: 0.5em; /* 1em; */
    line-height: 1em;
    margin-bottom: 0.1em;
    hyphens: none;
    max-width: 40ch;
    font-weight: 350;
  }
  

  ul.workshopOverviewWrapper li span.left {
    width: 100%; /* 6em; */
    float: left;
    padding-bottom: 1em;
  }
  ul.workshopOverviewWrapper li span.right {
    width: 100%;
    margin-left: 0px; /* 6.5em; */
  }

  ul.workshopOverviewWrapper li a {
    padding: 0.75em 1em 1em 1em; /* 1em 1.25em 1.25em 1.25em; */
  }  


  /* single workshop wrapper */
  .workshopSingleWrapper {
    padding: 0.75em 1em; /* 1em 1.25em; */
  }

  .workshopSingleWrapper .left {
    display: block;
    float: left;
    width: 100%; /* 6.5em; */
    /* min-height: 130px; */
    margin-bottom: 1em;
  }
  .workshopSingleWrapper .right {
    margin-left: 0px; /* 6.5em; */
  }
  .workshopSingleWrapper .right h2 {
    margin: 0px 0px 0.65rem 0px;
  }


}


/* **************************************************************************************************************** */
@media screen and (min-width: 600px) {

  body {
    font-size: 20px;
  }

}


/* **************************************************************************************************************** */
@media screen and (min-width: 800px) {

  body {
    font-size: 21px;
  }
  .logoWrapper a {
    font-size: 5em;
  }
  .menuWrapper ul li a {
    font-size: 5em;
  }  

  .aboutWrapper p.frontMainTxt {
    font-size: 3.25em;
  }

}



/* **************************************************************************************************************** */
@media screen and (min-width: 1024px) {

  body {
    font-size: 22px;
  }

  header {
    padding: 1em 1.25em;
    margin-bottom: 2em;
  }

  .aboutWrapper {
    padding: 1em 1.25em; /* 2em 1em; */
  }

  .aboutWrapper p.frontMainTxt {
    padding-left: 1em;
    padding-right: 1em;
  }  

  ul.workshopOverviewWrapper li span.left {
    width: 6em;
    float: left;
  }
  ul.workshopOverviewWrapper li span.right {
    width: auto;
    margin-left: 6.5em;
  }
  ul.workshopOverviewWrapper li a {
    padding: 1em 1.25em 1.25em 1.25em;
  } 


  /* single workshop wrapper */
  .workshopSingleWrapper {
    padding: 1em 1.25em;
  }

  .workshopSingleWrapper .left {
    width: 6.5em;
  }
  .workshopSingleWrapper .right {
    margin-left: 6.5em;
  }

}

/* **************************************************************************************************************** */
@media screen and (min-width: 1600px) {

  body {
    font-size: 24px;
  }

}
